extends Node

var _settings = {
	"audio":{
		"son": null ,
		"musique": null
	},
	"controles":{
		"gauche": null,
		"droite": null,
		"saut": null
	},
	"jeu":{
		"anim":null ,
		"fullscreen":null
		
	}
}

var defaultSavePath = "res://defaultSettingsFile.cfg"
var defaultConfig = ConfigFile.new()
var loadDefaultResponse = defaultConfig.load(defaultSavePath)

var savePath = "res://saveFile.cfg"
var config = ConfigFile.new()
var loadResponse = config.load(savePath)


func _ready():
	pass

func saveValue( _settings):
	for section in _settings.keys():
		for key in _settings[section]:
			config.set_value(section,key, _settings[section][key])
			
	config.save(savePath)
		
	
func loadValue():
	#soundValue = defaultConfig.get_value(section, key, soundValue)
	#return soundValue
	var error = defaultConfig.load(defaultSavePath)
	
	if error != OK:
		print("Erreur lors du chargement de %s" % error)
		return null
		
	for section in _settings.keys():
		for key in _settings[section]:
			_settings[section][key] = defaultConfig.get_value(section,key, null)
			
	return _settings
		
	
	
	
func loadDefaultValue():
	var error = config.load(savePath)
	
	if error != OK:
		print("Erreur lors du chargement de %s" % error)
		return []
		
	for section in _settings.keys():
		for key in _settings[section]:
			_settings[section][key] = config.get_value(section,key, null)
			
	return _settings
	
