extends Control

var BACK
var OPTIONS

var MEMOS
var CREDITS

var memosPage
var creditsPage

func _ready():
	var globals = get_node("/root/Globals")
	globals.LAST_WINDOWS_OPTIONS = "res://scenes/Credits.tscn"
	
	BACK = $MarginContainer/VBoxContainer/header/Control/headerContainer/HBoxContainer/back
	OPTIONS = $MarginContainer/VBoxContainer/header/Control/headerContainer/HBoxContainer/options
	MEMOS = $MarginContainer/VBoxContainer/main/profileContainer/asidePanel/listButton/memoButtons
	CREDITS = $MarginContainer/VBoxContainer/main/profileContainer/asidePanel/listButton/aboutUsButton
	memosPage = $MarginContainer/VBoxContainer/main/profileContainer/maininfoPanel/MarginContainer/maininfo/memos
	creditsPage = $MarginContainer/VBoxContainer/main/profileContainer/maininfoPanel/MarginContainer/maininfo/aboutUs
	
	
	BACK.connect("pressed", self, "buttonPressed", ["back"])
	OPTIONS.connect("pressed", self, "buttonPressed", ["settings"])
	MEMOS.connect("pressed", self, "buttonPressed", ["memo"])
	CREDITS.connect("pressed", self, "buttonPressed", ["credit"])


func buttonPressed(button_name):
	var globals = get_node("/root/Globals")
	
	if button_name == "back":
		globals.load_new_scene("res://scenes/MainMenu.tscn")
	elif button_name == "settings":
		globals.load_new_scene("res://scenes/Settings.tscn")
	elif button_name == "memo":
		memosPage.visible = true
		creditsPage.visible = false
	elif button_name == "credit":
		memosPage.visible = false
		creditsPage.visible = true
