extends Control

var xWindow = 0
var yWindow = 0
var ratio = float(300)/float(430)

var SKILL_1
var SKILL_2
var SKILL_3
var SKILL_4

var CHAR1
var CHAR2
var CHAR3
var CHAR4
var BACK
var OPTIONS
var PLAY

var CHARPIC1 = preload("res://assets/selectChar/charPic.jpg")
var CHARPIC2 = preload("res://assets/selectChar/charPic.jpg")
var CHARPIC3 = preload("res://assets/selectChar/charPic.jpg")
var CHARPIC4 = preload("res://assets/selectChar/charPic.jpg")

func _ready():
	var globals = get_node("/root/Globals")
	globals.LAST_WINDOWS_OPTIONS = "res://scenes/characterSelection.tscn"
	
	###skills
	SKILL_1 = $MarginContainer/VBoxContainer/marginSelectContainer/container/character/marginCharRight/verticalAlignment/marginSkills/skills/skillBar1
	SKILL_2 = $MarginContainer/VBoxContainer/marginSelectContainer/container/character/marginCharRight/verticalAlignment/marginSkills/skills/skillBar2
	SKILL_3 = $MarginContainer/VBoxContainer/marginSelectContainer/container/character/marginCharRight/verticalAlignment/marginSkills/skills/skillBar3
	SKILL_4 = $MarginContainer/VBoxContainer/marginSelectContainer/container/character/marginCharRight/verticalAlignment/marginSkills/skills/skillBar4
	
	###charactersButtons
	CHAR1 = $MarginContainer/VBoxContainer/marginSelectContainer/container/selection/charListContainer/ScrollContainer/GridContainer/char1
	CHAR2 = $MarginContainer/VBoxContainer/marginSelectContainer/container/selection/charListContainer/ScrollContainer/GridContainer/char2
	CHAR3 = $MarginContainer/VBoxContainer/marginSelectContainer/container/selection/charListContainer/ScrollContainer/GridContainer/char3
	CHAR4 = $MarginContainer/VBoxContainer/marginSelectContainer/container/selection/charListContainer/ScrollContainer/GridContainer/char4
	BACK = $MarginContainer/VBoxContainer/header/Control/headerContainer/HBoxContainer/back
	OPTIONS = $MarginContainer/VBoxContainer/header/Control/headerContainer/HBoxContainer/options
	PLAY = $MarginContainer/VBoxContainer/marginSelectContainer/container/selection/charListContainer/buttonPlayMargin/playButton
	
	# Connect all the buttons
	CHAR1.connect("pressed", self, "characterSelected", ["char1"])
	CHAR2.connect("pressed", self, "characterSelected", ["char2"])
	CHAR3.connect("pressed", self, "characterSelected", ["char3"])
	CHAR4.connect("pressed", self, "characterSelected", ["char4"])
	BACK.connect("pressed", self, "buttonHeader", ["back"])
	OPTIONS.connect("pressed", self, "buttonHeader", ["settings"])
	PLAY.connect("pressed", self, "buttonHeader", ["play"])
	
	# Default character selected
	characterSelected("char1")
	
	var anim_player = $MarginContainer/VBoxContainer/marginSelectContainer/container/character/marginCharRight/verticalAlignment/VBoxContainer/character
	#anim_player.texture = load("res://.import/true_size_1000.png-b6d6586ad26cd92d7c20aea1ae92f3fb.stex")
	

func _process(delta):
	# Video player play on loop
	var anim_player = $MarginContainer/VBoxContainer/marginSelectContainer/container/character/marginCharRight/verticalAlignment/VBoxContainer/character
	var stats = $MarginContainer/VBoxContainer/marginSelectContainer/container/character/marginCharRight/verticalAlignment/marginSkills
	
	var stat_size = stats.get_rect().size.y
	#xWindow = get_viewport().size.x
	yWindow = get_viewport().size.y
	#var x = float(xWindow)*ratio
	var y = float(yWindow)*ratio-stat_size
	#print(stat_size)
	
	#var brick_texture = anim_player.Frames.GetFrame("blue", 0);
	#anim_player.set_size(Vector2(y,y))
	#anim_player.scale = y


	
# Set new skills value for the character
func _setTextureProgress(skill, value):
	#print("Old value = ",skill.value)
	skill.value = value
	#print("New value = ",skill.value)
	
# Set the pic of the selected character
func _setTextureCharacter(character):
	var charSprite = $MarginContainer/VBoxContainer/marginSelectContainer/container/character/marginCharRight/verticalAlignment/VBoxContainer/character
	#charSprite.texture = character
	
#set the pic of the selected character
func _setAnimatedSpriteCharacter(video,nbFrames):
	var anim_player = $MarginContainer/VBoxContainer/marginSelectContainer/container/character/marginCharRight/verticalAlignment/VBoxContainer/character
	#anim_player.
	anim_player.texture.set_fps(24)
	anim_player.texture.set_frames(nbFrames)
	
	#toutes les images doivent avoir la même taille sinon certaines vont êtres déformées
	for i in range(nbFrames):
		var texture = TextureRect.new()
		texture = load("res://assets/selectChar/"+ video + str(i) +".png")
		anim_player.texture.set_frame_texture(i,texture)
#fonction qui va récup les données des personnages
#stockage BDD ou local
#de toute façon ce ne sont des infos que pour l'affichage
#leur modif influe pas le jeu
func _setNameCharacter(name):
	var labelName = $MarginContainer/VBoxContainer/marginSelectContainer/container/character/marginCharRight/verticalAlignment/charaName
	labelName.set_text(str(name))

func _getCompetences():
	pass
	
#display the character selected and his stats
func characterSelected(character):
	if character == "char1":
		_setTextureCharacter(CHARPIC1)
		_setTextureProgress(SKILL_1, 45)
		_setTextureProgress(SKILL_2, 78)
		_setTextureProgress(SKILL_3, 39)
		_setTextureProgress(SKILL_4, 27)
		_setAnimatedSpriteCharacter("char1/true_size_10",99)
		_setNameCharacter("Lady Lullaby")
	if character == "char2":
		_setTextureCharacter(CHARPIC2)
		_setTextureProgress(SKILL_1, 68)
		_setTextureProgress(SKILL_2, 43)
		_setTextureProgress(SKILL_3, 87)
		_setTextureProgress(SKILL_4, 41)
		_setAnimatedSpriteCharacter("char2/mrdisco_1",95)
		_setNameCharacter("Monsieur Disco")
	if character == "char3":
		_setTextureCharacter(CHARPIC3)
		_setTextureProgress(SKILL_1, 21)
		_setTextureProgress(SKILL_2, 74)
		_setTextureProgress(SKILL_3, 32)
		_setTextureProgress(SKILL_4, 68)
		_setAnimatedSpriteCharacter("char3/angela",95)
		_setNameCharacter("Angela")
	if character == "char4":
		_setTextureCharacter(CHARPIC4)
		_setTextureProgress(SKILL_1, 23)
		_setTextureProgress(SKILL_2, 44)
		_setTextureProgress(SKILL_3, 17)
		_setTextureProgress(SKILL_4, 89)
		_setAnimatedSpriteCharacter("char1/true_size_10",1)
		_setNameCharacter("Weed Man")
		
func buttonHeader(button_name):
	var globals = get_node("/root/Globals")
	
	if button_name == "back":
		globals.load_new_scene("res://scenes/MultiSelectMenu.tscn")
	elif button_name == "settings":
		globals.load_new_scene("res://scenes/Settings.tscn")
	elif button_name == "play":
		print("SEND THE USER AND THE CHARACTER TO THE SERVER")
		print("THE SERVER WILL DO THE REST I THINK")
		print("PUT THE GAME HERE")
		print("AAAAAAAAAH")
